import { NgModule } from '@angular/core';

import { RouteReuseStrategy } from '@angular/router';

import { IonicModule, IonicRouteStrategy } from '@ionic/angular';
import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
// 引用HttpClient方法
import { HttpClientModule } from '@angular/common/http';
// 引用移动端授权检测供应器
import { Diagnostic } from '@awesome-cordova-plugins/diagnostic/ngx';
// 设置Parse服务属性
import Parse from "parse";
import { AlertController } from '@ionic/angular';
import { BrowserModule } from '@angular/platform-browser';
import { IonicStorageModule } from '@ionic/storage-angular';
import { FormsModule } from '@angular/forms';
Parse.initialize("ncloudmaster");
Parse.serverURL = "https://server.fmode.cn/parse";
localStorage.setItem("NOVA_APIG_SERVER", 'aHR0cHMlM0ElMkYlMkZzZXJ2ZXIuZm1vZGUuY24lMkZhcGklMkZhcGlnJTJG')

@NgModule({
 declarations: [AppComponent],
   imports: [ 
    FormsModule,
    IonicStorageModule.forRoot(),
    BrowserModule, IonicModule.forRoot(), AppRoutingModule,HttpClientModule],
   providers: [{ 
   provide: RouteReuseStrategy, useClass: IonicRouteStrategy },
   Diagnostic,
    AlertController
 ],
   bootstrap: [AppComponent],
})
export class AppModule {}